html, body{
    margin: 0;
    width: 100%;
    height: 100%;
}

#menu{
    top: 0;
    z-index: 1;
    opacity: 0.9;
    position: sticky;
    background-color: white;
}

nav a{
    color: black;
    padding-left: 7px;
    text-decoration: none;
}

nav a:hover{
    color: black;
    text-decoration: none;
}

.row{
    width: 100%;
    margin: auto;
}

.badge-light{
    background-color: #dee;
}

.badge-success{
    color: #151;
    background-color: #cfc;
}

.badge-info{
    color: #750;
    background-color: #fda;
}

.font-size-lg{
    font-size: 1rem;
}

.font-size-sg{
    font-size: 0.666rem;
}

.avatar{
    max-width: 30px;
    border-radius: 50%;
    transition: border-radius 0.2s;
}

a:hover .avatar, span.badge:hover .avatar{
    border-radius: 10%;
    transition: border-radius 0.2s;
}

nav .btn-group a.btn{
    display: flex;
    align-items: center;
}

h4 a{
    color: #003;
    transition: color 0.1s;
}

h4 a:hover{
    text-decoration: none;
    transition: color 0.1s;
}

.alert{
    display: inline-block;
}

#hackish-way-of-detecting-sticky-in-js{
    height: 1px;
}

#fixed-infos{
    opacity: 0;
    float: right;
    padding: 3px;
    transition: opacity 0.3s;
}

.comment{
    padding: 5px;
    color: #344;
    margin-top: 5px;
    margin-left: 5px;
    background-color: #eee;
    border-radius: 0 5px 10px 0;
    border-left: 1px solid #cfcfcf;
}

.comment .badge{
    color: #666;
    font-size: 95%;
    font-weight: 600;
    background-color: #ddd;
}

details{
    transition: max-height 0.5s ease-in-out;
    overflow: hidden;
}

details:not([open]){
    max-height: 1.25em;
}

details[open]{
    max-height: 500em;
}

h6 span.badge, .blockquote-footer span.badge{
    cursor: help;
}

.card-text span{
    margin: 3px;
}

.card-text{
    cursor: default;
}

.title{
    border-radius: 5px;
}

.reload{
    opacity: 0.5;
    cursor: pointer;
    height: 30px;
    width: 30px;
    padding: 0;
    border-radius: 50%;
    font-size: 1.2em;
    display: inline-block;
    background-color: #3b88c3;
    transition: transform 0.4s, opacity 0.3s;
}

.reload:hover{
    opacity: 1;
    transform: rotate(360deg);
    background-color: #3b88c3;
    transition: opacity 0.3s, transform 0.6s;
}

@keyframes rotate{
    to{
        transform: rotate(-360deg);
    }
}

.disappear{
    opacity: 0;
    transition: opacity 2s;
}

.idsmall{
    color: #aaa;
    opacity: 0.7;
    font-size: 0.7em;
}